<?php
/**
 * JEvents Component for Joomla 1.5.x
 *
 * @version     $Id: view.html.php 1703 2010-02-16 12:23:46Z geraint $
 * @package     JEvents
 * @copyright   Copyright (C)  2008-2021 GWE Systems Ltd
 * @license     GNU/GPLv2, see http://www.gnu.org/licenses/gpl-2.0.html
 * @link        https://www.jevents.net
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

use Joomla\CMS\Language\Text;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

/**
 * HTML View class for the component
 *
 * @static
 */
class AdminPmethodsViewPmethods extends RSVPAbstractView
{
	function overview($tpl = null)
	{
		HTMLHelper::stylesheet(  'components/'.RSVP_COM_COMPONENT.'/assets/css/rsvpadmin.css' );

		$document = Factory::getDocument();
		$document->setTitle(Text::_('RSVP_PRO_PAYMENT_METHODS'));

		// Set toolbar items for the page
		JToolBarHelper::title( Text::_( 'RSVP_PRO_PAYMENT_METHODS' ), 'jevents' );

		RsvpproHelper::addSubmenu();

		$params = ComponentHelper::getParams(RSVP_COM_COMPONENT);


	}
}
