<?php
/**
 * JEvents Component for Joomla 1.5.x
 *
 * @version     $Id: overview.php 1676 2010-01-20 02:50:34Z geraint $
 * @package     JEvents
 * @copyright   Copyright (C)  2008-2021 GWE Systems Ltd
 * @license     GNU/GPLv2, see http://www.gnu.org/licenses/gpl-2.0.html
 * @link        https://www.jevents.net
 */


defined('JPATH_BASE') or die;

use Joomla\CMS\Uri\Uri;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

ob_start();
$uri = JUri::getInstance();

?>
<form action="<?php echo Route::_("index.php?option=com_rsvppro&task=templates.import"); ?>"
      method="post" name="adminForm" id="adminForm" enctype='multipart/form-data'>
	<div id="uploadTemplateJsonFile" style="margin-left:50px;">
		<h2>
			<?php echo JText::_('COM_RSVPPRO_SELECT_TEMPLATES_JSON_FILE'); ?>
		</h2>

		<input type="file" id="jsonfile" name="jsonfile"
		       accept="*.json"
		       style="display:block"
		       onchange="document.getElementById('adminForm').submit()">

		<input type="submit" value="submit" style="display:none"/>

	</div>
	<?php echo HTMLHelper::_('form.token', array('id' => "tokenid"));?>
</form>
<?php
$html = ob_get_clean();

echo $html;
