<?php
/**
 * JEvents Component for Joomla 1.5.x
 *
 * @version     $Id$
 * @package     JEvents
 * @copyright   Copyright (C) 2008-2021 GWE Systems Ltd
 * @license     GNU/GPLv2, see http://www.gnu.org/licenses/gpl-2.0.html
 * @link        https://www.jevents.net
 */

defined( 'JPATH_BASE' ) or die( 'Direct Access to this location is not allowed.' );

use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Filesystem\File;

include_once(RSVP_ADMINPATH."/controllers/invitees.php");

class FrontInviteesController extends AdminInviteesController {


	function __construct($config = array())
	{
		parent::__construct($config);

		// Load admin language file
		$lang = Factory::getLanguage();
		$lang->load(RSVP_COM_COMPONENT, JPATH_ADMINISTRATOR);

		jimport('joomla.filesystem.file');
		if (File::exists(JPATH_SITE.'/components/com_community/community.php')){
			if (ComponentHelper::isEnabled("com_community")) {
				$this->jomsocial = true;
			}
		}

	}


}
