<?php

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
 defined('_JEXEC') or die('Restricted Access'); ?>

<?php  ?>
<div class='jevrsvppro'>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<table>
<tr>
	<td align="left" width="100%">
		<?php echo Text::_( 'Filter' ); ?>:
		<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
		<button onclick="this.form.submit();"><?php echo Text::_( 'Go' ); ?></button>
		<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_catid').value='0';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo Text::_( 'Reset' ); ?></button>
	</td>
	<td nowrap="nowrap">
		<?php echo Text::_( 'JEV_SHOW_MY_CUSTOMISED_TEMPLATES' ); ?>:
		<span class="radio gsl-button-group">
            <?php if (JevTemplateHelper::canCreateGlobal()){ ?>
                <label for="customised_2" class="gsl-button <?php echo (int) $this->lists['customised'] === 2 ? "active" : ""; ?>"><?php echo Text::_("RSVP_ALL");?>
                    <input type="radio" class="gsl-hidden" name="customised" id="customised_2" value="2" <?php echo (int) $this->lists['customised'] === 2 ?"checked='checked'":"";?> onclick="document.adminForm.submit();" />
                </label>
            <?php } ?>
            <label for="customised_1" class="gsl-button <?php echo (int) $this->lists['customised'] === 1 ? "active":""; ?>"><?php echo Text::_("RSVP_YES");?>
                <input type="radio" class="gsl-hidden" name="customised" id="customised_1" value="1" <?php echo (int) $this->lists['customised'] === 1 ?"checked='checked'":"";?> onclick="document.adminForm.submit();" />
            </label>
			<label for="customised_0" class="gsl-button <?php echo (int) $this->lists['customised'] === 0 ? "active" : ""; ?>"><?php echo Text::_("RSVP_NO");?>
                <input type="radio" class="gsl-hidden"  name="customised" id="customised_0" value="0" <?php echo (int) $this->lists['customised'] === 0 ? "checked='checked'" : "";?> onclick="document.adminForm.submit();" />
			</label>
		</span>
		<?php
		echo $this->lists['state'];
		?>
	</td>
</tr>
</table>
<div id="editcell">
	<table class="adminlist  table table-striped">
	<thead>
		<tr>
			<th width="5">
				<?php echo Text::_('RSVP_NUM'); ?>
			</th>
			<th width="20">
				<?php echo HTMLHelper::_('grid.checkall'); ?>
			</th>
			<th class="title">
				<?php echo HTMLHelper::_('grid.sort',  'RSVP_TEMPLATE_TITLE', 'tmpl.title', $this->lists['order_Dir'], $this->lists['order'] ,"templates.list"); ?>
			</th>
			<?php
			if (count($this->languages)>1) {
			?>
			<th width="10%" nowrap="nowrap"><?php echo Text::_('JEV_TEMPLATE_TRANSLATION'); ?></th>
			<?php }
			?>
			<th width="5%" nowrap="nowrap">
				<?php echo HTMLHelper::_('grid.sort',  'RSVP_GLOBAL_TEMPLATE', 'tmpl.global', $this->lists['order_Dir'], $this->lists['order'] ,"templates.list"); ?>
			</th>
			<th width="5%" nowrap="nowrap">
				<?php echo HTMLHelper::_('grid.sort',  'RSVP_IS_TEMPLATE', 'tmpl.istemplate', $this->lists['order_Dir'], $this->lists['order'] ,"templates.list"); ?>
			</th>
			<th width="5%" nowrap="nowrap">
				<?php echo HTMLHelper::_('grid.sort',  'RSVP_IS_LOCKED', 'tmpl.locked', $this->lists['order_Dir'], $this->lists['order'] ,"templates.list"); ?>
			</th>
            <th width="5%" nowrap="nowrap">
				<?php echo Text::_('JGLOBAL_FIELD_CREATED_BY_LABEL'); ?>
            </th>
			<th width="1%" nowrap="nowrap">
				<?php echo HTMLHelper::_('grid.sort',  'ID', 'tmpl.id', $this->lists['order_Dir'], $this->lists['order'] ,"templates.list"); ?>
			</th>
		</tr>
	</thead>
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count( $this->items ); $i < $n; $i++)
	{
		$row = &$this->items[$i];

		$link 	= Route::_( 'index.php?option='.RSVP_COM_COMPONENT.'&task=templates.edit&cid[]='. $row->id );

		// global list
		$global	= $this->_globalHTML($row,$i);

		// locked template
		$locked	= $this->_lockedHTML($row,$i);

		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $i+1; ?>
			</td>
			<td>
				<?php echo HTMLHelper::_('grid.id', $i, $row->id); ?>
			</td>
			<td>
				<span class="editlinktip hasjevtip" title="<?php echo RsvpHelper::tooltipText( 'Edit Session',$row->title); ?>">
					<a href="<?php echo $link; ?>">
					<?php echo $this->escape($row->title); ?></a>
				</span>
			</td>
			<?php  if (count($this->languages)>1) { ?>
			<td align="center"><?php	 echo $this->translationLinks($row); ?>	</td>
			<?php } ?>
			<td align="center">
				<?php echo $global;?>
			</td>
			<td align="center">
				<?php echo $this->isTemplateHTML($row,$i);;?>
			</td>
			<td align="center">
				<?php echo $locked;?>
			</td>
            <td align="center">
				<?php echo Factory::getUser($row->created_by)->name;?>
            </td>
            <td align="center">
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
    	<tr>
    		<td align="center" colspan="9">
			<?php
			 echo  $this->pageNav->getPaginationLinks('joomla.pagination.links', array("showLimitBox"=> true));
			?>
			</td>
    	</tr>
	</tbody>
	</table>
</div>

	<input type="hidden" name="option" value="<?php echo RSVP_COM_COMPONENT;?>" />
	<input type="hidden" name="task" value="templates.list" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="Itemid" value="<?php echo Factory::getApplication()->input->getInt("Itemid",0); ?>" />
	<?php echo HTMLHelper::_( 'form.token' ); ?>
</form>
</div>

<script type="text/javascript" >
	window.setTimeout("setupRSVPTemplateBootstrap()", 500);

	function setupRSVPTemplateBootstrap(){
		if (typeof jQuery !="undefined"){

			(function($){
				// Turn radios into gsl-button-group
				$('.radio.gsl-button-group label').addClass('gsl-button');
				var el = $(".radio.gsl-button-group label:not(.active)");

				// Isis template and others may already have done this so remove these!
				$(".radio.gsl-button-group label:not(.active)").unbind('click');

				$(".radio.gsl-button-group label:not(.active)").click(function() {
					var label = $(this);
					var input = $('#' + label.attr('for'));
					if (!input.prop('checked') && !input.prop('disabled')) {
						label.closest('.gsl-button-group').find("label").removeClass('active gsl-button-success gsl-button-danger gsl-button-primary');
						label.addClass('active gsl-button-primary');
						input.prop('checked', true);
					}
				});

				// Turn checkboxes into gsl-button-group
				$('.checkbox.gsl-button-group label').addClass('gsl-button');

				// Isis template and others may already have done this so remove these!
				$(".checkbox.gsl-button-group label").unbind('click');

				$(".checkbox.gsl-button-group label").click(function(event) {
					event || (event = window.event);
					var label = $(this);
					var input = $('#' + label.attr('for'));
					//alert(label.val()+ " checked? "+input.prop('checked')+ " disabled? "+input.prop('disabled')+ " label disabled? "+label.hasClass('disabled'));
					if (input.prop('disabled')) {
						label.removeClass('active gsl-button-success gsl-button-danger gsl-button-primary');
						input.prop('checked', false);
						event.stopImmediatePropagation();
						return false;
					}
					if (!input.prop('checked')) {
						label.addClass('active gsl-button-primary');
					}
					else {
						label.removeClass('active gsl-button-success gsl-button-danger gsl-button-primary');
					}
					// bootstrap takes care of the checkboxes themselves!
				});

				$(".gsl-button-group input[type='checkbox']").each(function() {
					var input = $(this);
					input.css('display','none');
				});
			})(jQuery);

			initialiseRSVPTemplateBootstrapButtons();
		}
	}

	function initialiseRSVPTemplateBootstrapButtons(){
		(function($){
			// this doesn't seem to find just the checked ones!'
			//$(".gsl-button-group input[checked=checked]").each(function() {
			$(".gsl-button-group input").each(function() {
				var label = $("label[for=" + $(this).attr('id') + "]");
				var elem = $(this);
				if (elem.prop('disabled')) {
					label.addClass('disabled');
					label.removeClass('active gsl-button-success gsl-button-danger gsl-button-primary');
					return;
				}
				label.removeClass('disabled');
				if (!elem.prop('checked')) {
					label.removeClass('active gsl-button-success gsl-button-danger gsl-button-primary');
					return;
				}
				label.addClass('active gsl-button-primary');
			});

		})(jQuery);
	}

</script>
