<?php

/**
 * JEvents Component for Joomla! 3.x
 *
 * @version     $Id: router.php 3578 2012-05-01 14:25:28Z geraintedwards $
 * @package     JEvents
 * @copyright   Copyright (C) 2008-2021 GWESystems Ltd, 2006-2008 JEvents Project Group
 * @license     GNU/GPLv2, see http://www.gnu.org/licenses/gpl-2.0.html
 * @link        http://www.jevents.net
 */
defined('_JEXEC') or die('No Direct Access');

use Joomla\CMS\Application\ApplicationHelper;
use Joomla\CMS\Language\Language;
use Joomla\CMS\Language\LanguageHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Document\FeedDocument;
use Joomla\CMS\Factory;
use Joomla\String\StringHelper;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Component\ComponentHelper;

function RsvpproParseRoute(&$segments)
{

	$vars = array();

	if (count($segments) == 2 && $segments[0] == "accounts.notify")
	{
		// task=accounts.notify gateway=authorizenet";
		$task = $segments[0];
		$gateway = $segments[1];

		$vars["task"] = $task;
		$vars["gateway"] = $gateway;
	}

	$segments = array();
	return $vars;

}
