<?php
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Component\ComponentHelper;

$ticket = $this->attendeeParams->getTicket($this->attendee, $this->rsvpdata, $this->event);
if ($this->pdf)
{
	$rsvpproparams = ComponentHelper::getParams("com_rsvppro");

	include_once(JPATH_ADMINISTRATOR . "/components/com_rsvppro/libraries/attendeehelper.php");
	$helper = new RsvpAttendeeHelper($rsvpproparams);

	$pdftickets = $helper->generatePdfTicket($ticket, $this->attendee, $this->rsvpdata, $this->event);
	if ($pdftickets)
	{
		$html = @ob_end_clean();
		//Define header information
		header('Content-Description: File Transfer');
		header("Content-type:application/pdf");
		header("Cache-Control: no-cache, must-revalidate");
		header("Expires: 0");
		header('Content-Disposition: attachment; filename="ticket.pdf"');
		header('Content-Length: ' . strlen($pdftickets));
		header('Pragma: public');

		//Read the size of the file
		echo $pdftickets;
		//Terminate from the script
		die();
	}
}
if ($this->htmlTicket)
{

	$htmlticket = '<html><head></head><body>' . $ticket . '</body></html>';

	$html = @ob_end_clean();
	//Define header information
	header('Content-Description: File Transfer');
	header("Content-type:text/html");
	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: 0");
	header('Content-Disposition: attachment; filename="ticket.html"');
	header('Content-Length: ' . strlen($htmlticket));
	header('Pragma: public');

	//Read the size of the file
	echo $htmlticket;
	//Terminate from the script
	die();

}
?>

<div style="margin:20px;">
	<a href="javascript:void(0);" onclick="javascript:window.print(); return false;" title="<?php echo Text::_('JEV_CMN_PRINT'); ?>" class="printticket">
	<?php echo JEVHelper::imagesite( 'printButton.png',Text::_('JEV_CMN_PRINT'));?>
	</a>
	<br/>
	<br/>
	<?php

if (isset($this->templateParams->whentickets) && count($this->templateParams->whentickets)>0 && ($this->rsvpdata->allowcancellation || $this->rsvpdata->allowchanges )){
	echo 22;
}
echo $this->attendeeParams->getTicket($this->attendee, $this->rsvpdata, $this->event);
?>
</div>
