<?php

defined('JPATH_BASE') or die('Direct Access to this location is not allowed.');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

$capacity = $this->capacity;

$addguestyle   = '';
$addguestclass = '';
$guestcount    = (isset($this->attendee->guestcount) ? $this->attendee->guestcount : 1);
if (($this->rsvpdata->capacity > 0 || RsvpHelper::getTemplateSpecificParameter($this->rsvpdata, "maxguesttabs", 0) > 0) && $guestcount >= $capacity)
{
	$addguestyle   = ' style="display:none;" ';
	$addguestclass = 'noguests';
}

if ($capacity == 1)
{
	$addGuestButton = "";
}
else
{
	$addGuestButton = '<button class="btn btn-primary ' . $addguestclass . '"  id="addguest" ' . $addguestyle . ' title="' . Text::_("JEV_ADD_GUEST", true) . '" onclick="addGuest(' . $capacity . ');return false;" >' . Text::_('JEV_ADD_GUEST') . '</a>';
}

echo $addGuestButton;
